Last modified: 2014-06-17 17:48:07 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 24402 - Scaling of fonts in Firefox results in too small fonts
Scaling of fonts in Firefox results in too small fonts
Status: NEW
Product: MediaWiki skins
Classification: Unclassified
Vector (Other open bugs)
unspecified
All All
: Low minor
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: typography-refresh
  Show dependency treegraph
 
Reported: 2010-07-16 11:34 UTC by Biezl
Modified: 2014-06-17 17:48 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Biezl 2010-07-16 11:34:49 UTC
...or the two stolen pixels.

With the vector-skin it's hard to setup bigger fonts for text body . Even with 18px one get's only 14px (rounded). And my convinient setting was 17px resulting in 16px font size on MonoBook. The Table below lists the scaling result depending on settings.

127%*x-small = MonoBook
0.8*medium = Vector

medium°	| x-small | 127%*x-small   | 0.8*medium
12px 	| 9px 	  | 11.43px 	   | 9.6px
13px 	| 10px 	  | 12.7px 	   | 10.4px
14px 	| 10px 	  | 12.7px 	   | 11.2px
15px 	| 10px 	  | 12.7px 	   | 12px
16px 	| 10px 	  | 12.7px 	   | 12.8px        (default setting)
17px 	| 12.75px | 16.1925px	   | 13.6px (=14px)
18px 	| 13.5px  | 17.145px 	   | 14.4px (=14px!)

°medium = browser setting


Since target size is 13px it would lead to more comfortable configuration options when setting scaling factor to 13/16 = 0,8125.

medium 	| (0.8125*medium)
12px 	| 9.75px
13px 	| 10.5625px
14px 	| 11.375px
15px 	| 12.1875px
16px 	| 13px
17px 	| 13.8125px (=14px)
18px 	| 14.625px  (=15px)


By the way google search uses small for scaling textbody, which gives best results in upscaling fonts, also it's less predictable what exactliy is happening.


Should affect opera, chrome and safari as well, but on IE there is no way in setting font size directly by numbers.
Comment 1 Biezl 2010-07-18 13:06:18 UTC
font size:small; on diffrent browsers


medium   | Opera  | FireFox
---------+--------+-----------    
14px     | 12px   | 12px
15px     | 12px   | 13px
16px     | 13px   | 13px
17px     | 14px   | 15.117px
18px     | 15px   | 16.017px
Comment 2 Biezl 2010-07-26 09:23:41 UTC
Could you please fix that at least for the body object.

#bodyContent {
 font-size:0.8125em;
}
Comment 3 Bugmeister Bot 2011-08-19 19:12:53 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 4 Thehelpfulone 2012-05-01 13:50:19 UTC
Is this still a problem? Vector has been about for a while now as the default skin so I'd imagine issues should have been fixed.
Comment 5 Biezl 2012-05-02 08:58:43 UTC
Good questions. Counting pixels of a screen shot shows that scaling font size on FF12 does quite well. But styles in vector didn't change in that point. FireBug still gives the same calculated values. Maybe rendering or rounding has changed.

FireFox 12.1 
medium°  | 0.8*medium
17px     | 13.6px (=14px)
18px     | 14.4px (=15px?! counted)

In my opinion styles still should be set to 13/16 = 0,8125.
Comment 6 Andre Klapper 2013-04-02 19:38:10 UTC
Biezl:
Comment 7 entlinkt 2014-05-30 14:28:08 UTC
I think this bug is implicitly fixed by the typography refresh. The #bodyContent font-size has been changed to 0.875em (which gives exactly 14px if medium is 16px).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links